/*
**************
			Created by: Cassandra McWade 2013
			Website: http://cassandramcwade.com
			Email: cas.TD@cassandramcwade.com
			For Keyframe Digital

:Title:
Texture Callback

:Purpose:
Loop through all textures on the character GEO ---DONE
Determine which are finalToon or Standard ---DONE
Change each multisub in a Standard material to a shell ---DONE
If not multisub, just make Shell
Eventually add callBack to do this on file open
determine if Ed Venture File
Determine if its a char

:Bugs:


*/

fn findGeo=
(
	objNameArr=#()
	for x in objects do
	(
		if (findstring x.name "GEO") != undefined do
		(
			append objNameArr x
		)
	)

	for m in ObjNameArr do
	(
		if m.material !=undefined then
		(
			if (classOf m.material==multiMaterial) then --copy the whole multisub
			(
				newMat= copy m.material
				for s=1 to newMat.numsubs do
				(
					if (classOf newMat.materialList[s]==standard) then
					(
						newShell= shell_Material()
						newShell.bakedMaterial= copy newMat[s]
						newShell.originalMaterial=newMat[s]
						newShell.viewportmtlindex=1
						newShell.bakedMaterial.selfillumination=0
						newMat[s]=newShell
					)else(
					)
				)
				m.material= newMat
			)else(
				if (classOf m.material==standard) then
				(
					nuMat= copy m.material
					shellMat= Shell_Material()
					shellMat.bakedMaterial= copy nuMat
					shellMat.originalMaterial= nuMat
					shellMat.viewportMtlIndex=1
					shellMat.bakedMaterial.selfIllumination=0
					nuMat=shellMat
					m.material=nuMat
				)
			)
		)else(
				
			)
	)
)

callBacks.removeScripts id:#OpenCheck
callBacks.removeScripts id:#MergingCheck
callBacks.addScript #filePostOpen "findGeo()" id:#OpenCheck
callBacks.addScript #filePostMerge "findGeo()" id:#MergingCheck